Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.plugins.tomcat
[Java] Class IsolatedTomcat

    java.lang.Object
      org.grails.plugins.tomcat.IsolatedTomcat

    public class IsolatedTomcat

An isolated version of Tomcat used to run Grails applications with run-war.

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`static java.lang.String` | `getSslMessage(org.apache.catalina.startup.Tomcat tomcat, java.lang.String host, java.lang.String contextPath)`
`static void` | `main(java.lang.String[] args)` @param args Command line arguments
`static void` | `startKillSwitch(org.apache.catalina.startup.Tomcat tomcat, int serverPort)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getSslMessage

    public static java.lang.String getSslMessage(org.apache.catalina.startup.Tomcat tomcat, java.lang.String host, java.lang.String contextPath)

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` - Command line arguments

### startKillSwitch

    public static void startKillSwitch(org.apache.catalina.startup.Tomcat tomcat, int serverPort)

Groovy Documentation